CREATE TABLE cz_ui_template_attributes (
    UI_TEMPLATE_ID            NUMBER(18, 0) ,
    START_TEMPLATE_VERSION    NUMBER(18, 0) ,
    END_TEMPLATE_VERSION      NUMBER(18, 0) ,
    TEMPLATE_ELEMENTS         CLOB          ,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    DELETED_FLAG              NUMBER(18, 0)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    SEED_DATA_SOURCE          VARCHAR2(2048),
    ORA_SEED_SET1             VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2             VARCHAR2(4)       NOT NULL,
    UI_TEMPLATE_ID            NUMBER(18, 0) ,
    START_TEMPLATE_VERSION    NUMBER(18, 0) ,
    END_TEMPLATE_VERSION      NUMBER(18, 0) ,
    TEMPLATE_ELEMENTS         CLOB          ,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    DELETED_FLAG              NUMBER(18, 0)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    SEED_DATA_SOURCE          VARCHAR2(2048),
    ORA_SEED_SET1             VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2             VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_cz_ui_template_attributes PRIMARY KEY (UI_TEMPLATE_ID, START_TEMPLATE_VERSION, UI_TEMPLATE_ID, START_TEMPLATE_VERSION)
);
